/*
 * Copyright (C) 2016 Red Hat, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.syndesis.server.dao.audit;

import io.syndesis.common.util.json.JsonUtils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public final class LoggingAuditingRecorder implements AuditingRecorder {

    private final Logger audit;

    public LoggingAuditingRecorder() {
        this(LoggerFactory.getLogger("AUDIT"));
    }

    LoggingAuditingRecorder(final Logger audit) {
        this.audit = audit;
    }

    @Override
    public void record(final AuditRecord auditRecord) {
        audit.info(JsonUtils.toString(auditRecord));
    }

}
